
package de.ivu.elect.core.exchange.stimmen.csv;

import de.ivu.elect.business.ergebnis.control.StimmenImportContext;
import de.ivu.elect.business.ergebnis.entity.Stimmenart;

public class ListenstimmenCsvImportMapper extends AbstractEineStimmenCsvImportMapper {

  public static final String FORMAT_NAME = "file.format.listenstimmen";

  @Override
  protected Stimmenart getStimmenart() {
    return Stimmenart.LISTENSTIMME;
  }

  @Override
  protected String getFormatName() {
    return FORMAT_NAME;
  }

  @Override
  public boolean isAcceptContext(StimmenImportContext context) {
    if (!super.isAcceptContext(context)) {
      return false;
    }
    if (context != null && context.getWahl() != null) {
      return !context.getWahl().isWahlMitDirektkandidatengebieten() && context.getWahl().isWahlMitListengebieten();
    }
    return true;
  }
}
